server:
  port: 20002

spring:
  application:
    name: sikey-selenium-business
  profiles:
    active: "test"
  main:
    allow-circular-references: true # 允许循环依赖，因为项目是三层架构，无法避免这个情况。
    allow-bean-definition-overriding: true # 允许 Bean 覆盖，例如说 Feign 等会存在重复定义的服务
  #  web-application-type: reactive
  config:
    import: "consul:"
  # Jackson 配置项
  jackson:
    serialization:
      write-dates-as-timestamps: true # 设置 LocalDateTime 的格式，使用时间戳
      write-date-timestamps-as-nanoseconds: false # 设置不使用 nanoseconds 的格式。例如说 1611460870.401，而是直接 1611460870401
      write-durations-as-timestamps: true # 设置 Duration 的格式，使用时间戳
      fail-on-empty-beans: false # 允许序列化无属性的 Bean
  # Consul 集成配置
  cloud:
    consul:
      host: 106.75.230.4
      # host: 127.0.0.1
      port: 8500
      # discovery
      discovery:
        enabled: true
        prefer-ip-address: true
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${server.port}
      # config
      config:
        enabled: true
        format: YAML
        data-key: data

#模拟操作
selenium:
  remote:
    appid: 1901585318855970816
    appkey: ffc5d87bca2bc65e13c2399219d6b220
    secretkey: 8aad1cdf23be18744dbc0a3eda0b438754fc3486e1fbb74466cc32276c336a10
    url: http://106.75.236.4:4444/wd/hub
    loginUrl: https://miniapp.yun.139.com/middle/index.html#/middlePage
    redirectUrl: http://mcdisk.sikey.com.cn

---
# Spring Data Redis 配置
spring:
  data:
    redis:
      repositories:
        enabled: true
      host: 106.75.230.4
      port: 6379
      password: sikey!Q@W#E456
      timeout: 5000

sikey:
  info:
    version: 1.0.0
    base-package: cn.sikey.selenium
